.review-card {
  padding: 2.5rem 2.8125rem;
  width: 100%;
  max-width: 30.375rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 1.5625rem;
  background: var(--bg-white);
  border: 1px solid var(--stroke-dark);
  border-radius: var(--radius-primary);
  overflow: hidden; }
  @media screen and (min-width: 1921px) {
    .review-card {
      padding: 2.08333vw 2.34375vw;
      max-width: 25.3125vw;
      gap: 1.30208vw; } }
  @media screen and (max-width: 1700px) {
    .review-card {
      padding: 2.1875rem;
      max-width: 34.6875rem;
      gap: 0.9375rem; } }
  @media screen and (max-width: 1240px) {
    .review-card {
      padding: 1.875rem;
      max-width: 20.8125rem; } }
  @media screen and (max-width: 750px) {
    .review-card {
      padding: 1.5625rem;
      gap: 1.25rem; } }
  .review-card_short .review-card__description {
    line-clamp: 3;
    -webkit-line-clamp: 3;
    overflow: hidden; }
  .review-card_short .review-card__button {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex; }
  .review-card_border {
    border: 0.0625rem solid var(--stroke-dark); }
    @media screen and (min-width: 1921px) {
      .review-card_border {
        border-width: 0.05208vw; } }
  .review-card__header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: 1rem; }
    @media screen and (min-width: 1921px) {
      .review-card__header {
        gap: 0.83333vw; } }
  .review-card__user-info {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column; }
  .review-card__name {
    color: var(--text-light-primary);
    font: var(--font-body-L-m); }
  .review-card__position {
    color: var(--text-light-secondary);
    font: var(--font-body-S-r); }
  .review-card__content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    gap: 1.25rem; }
    @media screen and (min-width: 1921px) {
      .review-card__content {
        gap: 1.04167vw; } }
    @media screen and (max-width: 1700px) {
      .review-card__content {
        gap: 0.9375rem; } }
    @media screen and (max-width: 750px) {
      .review-card__content {
        gap: 0.75rem; } }
  .review-card__description {
    display: -webkit-box;
    color: var(--text-light-primary);
    font: var(--font-body-M-r);
    text-overflow: ellipsis;
    line-clamp: none;
    -webkit-line-clamp: none;
    -webkit-box-orient: vertical;
    overflow: visible; }
  .review-card__footer {
    margin-top: auto;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    gap: 1.875rem; }
    @media screen and (min-width: 1921px) {
      .review-card__footer {
        gap: 1.5625vw; } }
    @media screen and (max-width: 1700px) {
      .review-card__footer {
        gap: 1.25rem; } }
    .review-card__footer-wrapper {
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-align: center;
          -ms-flex-align: center;
              align-items: center;
      -webkit-box-pack: justify;
          -ms-flex-pack: justify;
              justify-content: space-between; }
  .review-card__date {
    color: var(--text-light-secondary);
    font: var(--font-body-S-r); }
  .review-card__rating .rating {
    --rating-height: 1.25rem;
    --rating-width: 7.4375rem; }
    @media screen and (min-width: 1921px) {
      .review-card__rating .rating {
        --rating-height: 1.04167vw;
        --rating-width: 6.19792vw; } }
    @media screen and (max-width: 1700px) {
      .review-card__rating .rating {
        --rating-height: 1rem;
        --rating-width: 5.9375rem; } }
  .review-card__button {
    position: relative;
    display: none; }

.review-photo {
  width: 100%;
  overflow: hidden; }
  .review-photo .swiper-slide {
    position: relative;
    width: 3.75rem;
    height: 3.75rem;
    -ms-flex-negative: 0;
        flex-shrink: 0;
    border-radius: var(--radius-primary);
    overflow: hidden;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none; }
    @media screen and (min-width: 1921px) {
      .review-photo .swiper-slide {
        width: 3.125vw;
        height: 3.125vw; } }
    @media screen and (max-width: 1700px) {
      .review-photo .swiper-slide {
        width: 3.125rem;
        height: 3.125rem; } }
    @media screen and (max-width: 750px) {
      .review-photo .swiper-slide {
        width: 2.5rem;
        height: 2.5rem; } }
  .review-photo__item {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block;
    cursor: pointer; }
    @media (any-hover: hover) {
      .review-photo__item:hover img {
        -webkit-transform: scale(1.1);
            -ms-transform: scale(1.1);
                transform: scale(1.1); } }
    .review-photo__item img,
    .review-photo__item picture {
      width: 100%;
      height: 100%;
      -o-object-fit: cover;
         object-fit: cover;
      -o-object-position: center;
         object-position: center;
      -webkit-transition: -webkit-transform var(--animation-default);
      transition: -webkit-transform var(--animation-default);
      transition: transform var(--animation-default);
      transition: transform var(--animation-default), -webkit-transform var(--animation-default);
      pointer-events: none; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
